NoMerge
Keywords: javax.help.NoMerge class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class NoMerge

    java.lang.Object
      javax.help.Merge
          javax.help.NoMerge

public class NoMerge
extends Merge

No merge type

Nested Class Summary

Nested classes inherited from class javax.help.Merge
`Merge.DefaultMergeFactory`

Constructor Summary
`NoMerge(NavigatorView master, NavigatorView slave)` Constructs NoMerge

Method Summary
`static void` | `mergeNodeChildren(javax.swing.tree.TreeNode node)` Merge Node Children.
`static void` | `mergeNodes(javax.swing.tree.TreeNode master, javax.swing.tree.TreeNode slave)` Merge Nodes.
`javax.swing.tree.TreeNode` | `processMerge(javax.swing.tree.TreeNode node)` Processes no merge

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoMerge

    public NoMerge(NavigatorView master,
                   NavigatorView slave)

  Constructs NoMerge

Parameters:
  `master` - The master NavigatorView
  `slave` - The slave NavigatorView

Method Detail

### processMerge

    public javax.swing.tree.TreeNode processMerge(javax.swing.tree.TreeNode node)

  Processes no merge

  Specified by:
    `processMerge` in class `Merge`
  Parameters:
    `node` - The master node
  Returns:
    the master node

### mergeNodes

    public static void mergeNodes(javax.swing.tree.TreeNode master,
                                  javax.swing.tree.TreeNode slave)

  Merge Nodes. Merge two nodes according to the merging rules of the masterNode. Each Subclass should override this implementation.

  Parameters:
    `master` - The master node to merge with
    `slave` - The node to merge into the master

### mergeNodeChildren

    public static void mergeNodeChildren(javax.swing.tree.TreeNode node)

  Merge Node Children. Merge the children of a node according to the merging rules of the parent. Each subclass must implement this method

  Parameters:
    `node` - The parent node from which the children are merged

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD